## com.bbn.openmap.omGraphics.editable
Class PolyDeleteNodeState

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.State
          com.bbn.openmap.omGraphics.editable.PolyDeleteNodeState

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.AdjustmentListener, java.awt.event.ComponentListener, java.awt.event.ContainerListener, java.util.EventListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, MapMouseListener, java.awt.event.TextListener, java.awt.event.WindowListener

public class PolyDeleteNodeState
extends State

Field Summary
`protected EditableOMGraphic` `graphic`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.State
`i18n`

Constructor Summary
`PolyDeleteNodeState(EditableOMPoly eomg)`

Method Summary
`boolean` `mouseDragged(java.awt.event.MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.
`boolean` `mouseMoved(java.awt.event.MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`boolean` `mouseReleased(java.awt.event.MouseEvent e)` In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on.

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.State

`actionPerformed, adjustmentValueChanged, componentAdded, componentHidden, componentMoved, componentRemoved, componentResized, componentShown, focusGained, focusLost, getMapMouseListenerResponse, getMouseModeServiceList, itemStateChanged, keyPressed, keyReleased, keyTyped, mouseClicked, mouseEntered, mouseExited, mouseMoved, mousePressed, setMapMouseListenerResponse, textValueChanged, windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphic

    protected EditableOMGraphic graphic

Constructor Detail

### PolyDeleteNodeState

    public PolyDeleteNodeState(EditableOMPoly eomg)

Method Detail

### mouseReleased

    public boolean mouseReleased(java.awt.event.MouseEvent e)

  In this state, we need to change states only if the graphic, or anyplace off the graphic is pressed down on. If the end points are clicked on, then we do nothing except set the moving point and go to edit mode.

  Specified by:
    `mouseReleased` in interface `MapMouseListener`
  Overrides:
    `mouseReleased` in class `State`

### mouseMoved

    public boolean mouseMoved(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when the mouse button has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `MapMouseListener`
  Overrides:
    `mouseMoved` in class `State`

### mouseDragged

    public boolean mouseDragged(java.awt.event.MouseEvent e)

  Description copied from interface: `MapMouseListener`
  Invoked when a mouse button is pressed on a component and then dragged. The listener will receive these events if it successfully processes mousePressed(), or if no other listener processes the event.

  Specified by:
    `mouseDragged` in interface `MapMouseListener`
  Overrides:
    `mouseDragged` in class `State`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details